Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 182399 - NullPointerException at org.netbeans.modules.j2ee.sun.ddloaders.multiview.common.NamedBeanGroupNode.getParentNodeName
NullPointerException at org.netbeans.modules.j2ee.sun.ddloaders.multiview.com...
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: DD Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Andrey Yamkovoy
issues@javaee
EXCEPTIONS_REPORT
: NETFIX, SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-19 20:55 UTC by sunbiz
Modified: 2010-04-09 04:44 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.96 KB, text/plain)
2010-03-19 20:55 UTC, sunbiz
Details
a quickfix (1004 bytes, patch)
2010-04-02 14:18 UTC, sunbiz
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sunbiz 2010-03-19 20:55:00 UTC
Build: NetBeans IDE Dev (Build 201003081350)
VM: Java HotSpot(TM) Client VM, 14.3-b01, Java(TM) SE Runtime Environment, 1.6.0_17-b04
OS: Windows Server 2008

User Comments:
sunbiz: Steps to reproduce:
1.) Create EJB Client or Sample -> InterceptorStateless and open Configuration Files
2.) Open sun-application-client.xml
3.) Web Services tab -> Add Service Reference
4.) clear the Service Reference Name field and press Add Port Information button.




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.j2ee.sun.ddloaders.multiview.common.NamedBeanGroupNode.getParentNodeName(NamedBeanGroupNode.java:548)
   at org.netbeans.modules.j2ee.sun.ddloaders.multiview.common.PortInfoGroupNode.getModelReader(PortInfoGroupNode.java:116)
   at org.netbeans.modules.j2ee.sun.ddloaders.multiview.common.NamedBeanGroupNode.readDescriptor(NamedBeanGroupNode.java:515)
   at org.netbeans.modules.j2ee.sun.ddloaders.multiview.common.NamedBeanGroupNode.computeBindingSet(NamedBeanGroupNode.java:363)
   at org.netbeans.modules.j2ee.sun.ddloaders.multiview.common.NamedBeanGroupNode$2.run(NamedBeanGroupNode.java:229)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1356)
Comment 1 sunbiz 2010-03-19 20:55:04 UTC
Created attachment 95461 [details]
stacktrace
Comment 2 sunbiz 2010-04-02 13:58:23 UTC
Parent node is just checked for blank and not null... Should be a simplefix. I can add a patch as part of NetFIX[1]

[1] http://wiki.netbeans.org/NetFIX
Comment 3 sunbiz 2010-04-02 14:18:18 UTC
Created attachment 96609 [details]
a quickfix
Comment 4 vezzoni 2010-04-05 21:31:09 UTC
I'd like to fix this simple bug.
Comment 5 Jiri Kovalsky 2010-04-07 13:05:06 UTC
Andrey, could you please review this patch and integrate it if you don't find any problems? Thanks a lot!
Comment 6 Andrey Yamkovoy 2010-04-08 06:31:54 UTC
The patch looks fine.

Integrated into the web-main repository.
Changeset: 57bcf2165488
Comment 7 Jiri Kovalsky 2010-04-08 07:10:24 UTC
Thanks Andrey for the review & integration and especially thanks Saptarshi for your patch!
Comment 8 Quality Engineering 2010-04-09 04:44:41 UTC
Integrated into 'main-golden', will be available in build *201004090201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/57bcf2165488
User: Andrey Yamkovoy <kaktus@netbeans.org>
Log: #182399 -  NullPointerException at org.netbeans.modules.j2ee.sun.ddloaders.multiview.common.NamedBeanGroupNode.getParentNodeName


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo